%define shortname simplejson
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{shortname}
Version:        3.8.2
Release:        %mkrel 2
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Group:          Development/Python
License:        MIT
URL:            http://undefined.org/python/#simplejson
Source0:        https://pypi.python.org/packages/source/s/simplejson/%{shortname}-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).

%package -n python3-simplejson
Summary:        Simple, fast, extensible JSON encoder/decoder for Python3
Group:          Development/Python

%description -n python3-simplejson
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python3.3+ It is pure
Python code with no dependencies, but includes an optional C extension for a
serious speed boost.

%prep
%setup -q -n %{shortname}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build
./scripts/make_docs.py

%install
%py2_install
rm docs/.buildinfo
rm docs/.nojekyll

pushd %{py3dir}
%py3_install
popd


%files
%doc docs LICENSE.txt
%{python2_sitearch}/*

%files -n python3-simplejson
%doc LICENSE.txt
%{python3_sitearch}/*



%changelog
* Mon Jun 27 2016 bcornec <bcornec> 3.8.2-2.mga6
+ Revision: 1037897
- Fix macros !

* Mon Jun 27 2016 bcornec <bcornec> 3.8.2-1.mga6
+ Revision: 1037887
- Update to upstream 3.8.2
- Update to upstream 3.8.1

* Fri Feb 12 2016 umeabot <umeabot> 3.8.0-3.mga6
+ Revision: 958693
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 3.8.0-2.mga6
+ Revision: 887467
- BR python-sphinx_rtd_theme
- rebuild for python 3.5

* Sat Sep 19 2015 philippem <philippem> 3.8.0-1.mga6
+ Revision: 881357
- update to 3.8.0, build with speedup extension

* Wed Oct 15 2014 umeabot <umeabot> 3.6.3-4.mga5
+ Revision: 741212
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.6.3-3.mga5
+ Revision: 729764
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.6.3-2.mga5
+ Revision: 688333
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 philippem <philippem> 3.6.3-1.mga5
+ Revision: 674415
- update to 3.6.3

* Sat Jun 28 2014 philippem <philippem> 3.5.3-1.mga5
+ Revision: 640535
- update to 3.5.3, Fixes a potential security issue mga#13601

* Sat May 31 2014 pterjan <pterjan> 3.4.0-2.mga5
+ Revision: 629013
- Rebuild for new Python

* Fri Apr 25 2014 philippem <philippem> 3.4.0-1.mga5
+ Revision: 618095
- update to 3.4.0

* Tue Mar 04 2014 philippem <philippem> 3.3.3-1.mga5
+ Revision: 599574
- update to 3.3.3

* Tue Oct 22 2013 umeabot <umeabot> 3.3.0-3.mga4
+ Revision: 544155
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.3.0-2.mga4
+ Revision: 499380
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 02 2013 philippem <philippem> 3.3.0-1.mga4
+ Revision: 449810
- new version 3.3.0, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 379515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 2.6.0-1.mga3
+ Revision: 334269
- Update to 2.6.0

* Wed Feb 29 2012 philippem <philippem> 2.3.3-1.mga2
+ Revision: 216054
- Update to 2.3.3.

* Wed Jan 11 2012 philippem <philippem> 2.3.2-1.mga2
+ Revision: 194979
- Update to 2.3.2.

* Sat Dec 17 2011 philippem <philippem> 2.3.0-1.mga2
+ Revision: 183147
- Update to 2.3.0

* Wed Oct 26 2011 philippem <philippem> 2.2.1-1.mga2
+ Revision: 158233
- New upstream 2.2.1

* Wed Apr 13 2011 ahmad <ahmad> 2.1.3-1.mga1
+ Revision: 84130
- update to 2.1.3

* Mon Jan 24 2011 ennael <ennael> 2.1.2-1.mga1
+ Revision: 36805
- imported package python-simplejson


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 603074
- update to new version 2.1.2

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 2.1.1-2mdv2011.0
+ Revision: 589993
- rebuild for python 2.7

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 531329
- update to new version 2.1.1

* Sun Mar 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.1.0-1mdv2010.1
+ Revision: 528584
- update tp 2.1.0

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.9-1mdv2010.0
+ Revision: 384257
- update to new version 2.0.9

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 2.0.7-1mdv2009.1
+ Revision: 328232
- New version 2.0.7

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.6-1mdv2009.1
+ Revision: 319720
- fix requires / buildrequires
- rebuild with python 2.6
- new release 2.0.6

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2009.1
+ Revision: 305881
- update to new version 2.0.3

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 1.9.2-1mdv2009.0
+ Revision: 280563
- New version

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.7.3-4mdv2009.0
+ Revision: 259780
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.7.3-3mdv2009.0
+ Revision: 247636
- rebuild
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 21 2007 Colin Guthrie <cguthrie@mandriva.org> 1.7.3-1mdv2008.1
+ Revision: 100737
- import python-simplejson


